<?php if($USUARIO=='') echo '<script>self.location="'.PATH_HOME.'";</script>'; 
 $Ubicacion = new DB();
 $sqlUbicacion = "SELECT * FROM rol_usuarios us, inventarios_ubicaciones ubi
 WHERE us.ubica_codigo = ubi.ubica_codigo
 AND us.us_id = '$USID';"; 
 $Ubicacion->dbSQL($sqlUbicacion);
 if($Ubicacion->next()){
 	$ubica_nombre = $Ubicacion->dbField('ubica_nombre');
	$UbicacionID = $Ubicacion->dbField('ubica_codigo');
 }else
	$ubica_nombre = 'Central';

	$UsAccesos = [];
	$UsArchivo = [];
	
	switch($ROL){
		
	  //Cajeros
		case 8 : $TipoUsuario = "Consultas"; 
			$UsAccesos = array(
				'Cajas por Cobrar',
				'Caja Chica',
				'Traspaso Solicitudes',	
				'Solicitar Traspaso',		
			);
			$UsArchivo = array(
				'cajas-cobrar/ver',
				'cajeros-cajachica/ver',
				'traspasos-solicitudes-usuarios-cajeros/lista',					
				'traspasos-solicitar-form/nuevo',			
			);
			$UsIconos = array(
				'fas fa-dollar-sign',
				'fas fa-donate',					
				'fas fa-box-open',
				'fas fa-motorcycle',
			);
		break; 
		default:$TipoUsuario = "ERROR"; 
		break;
	}
?>
<style>
.ssfechas{
	padding:0;
	margin:0;
	display:inline;
	border:none;
	background:none;
	color:white;
	width:77px;
}	
</style>
<div class="main-header">
			<div class="logo-header" data-background-color="green2">				
				<a href="#" class="logo">
					<img src='<?php echo PATH_HOME.'assets/img/logo.png' ?>' class="navbar-brand">
				</a>	
            <button class="navbar-toggler sidenav-toggler ml-auto" type="button" data-toggle="collapse" data-target="collapse" aria-expanded="false" aria-label="Toggle navigation">
					<span class="navbar-toggler-icon">
						<i class="icon-menu"></i>
					</span>
				</button>
				<button class="topbar-toggler more"><i class="icon-options-vertical"></i></button>
				<div class="nav-toggle">
					<button class="btn btn-toggle toggle-sidebar">
						<i class="icon-menu"></i>
					</button>
				</div>			
			</div>

			<!-- Navbar Header -->
			<nav class="navbar navbar-header navbar-expand-lg" data-background-color="green2">
				
				<div class="container-fluid">		
					<div class="collapse" id="search-nav">
						<div style='color:white'>
							<?php echo '<b>'.$TipoUsuario.': </b>'.$USUARIO.' '.$USCODIGO; ?>
							<br>
							<b>Ubicación: </b>
							<?php 
							echo $ubica_nombre;
							$UbicacionUsuario = $ubica_nombre; ?>
							<input type="text" id='txtFecha' class="ssfechas"><input type="text" id='txtHora' class="ssfechas">
						</div>						
					</div>				
					<ul class="navbar-nav topbar-nav ml-md-auto align-items-center">												
						<li class="nav-item dropdown hidden-caret">
							<a class="dropdown-toggle profile-pic" data-toggle="dropdown" href="#" aria-expanded="false">
								<div class="avatar-sm">
									<img src="<?php echo PATH_HOME ?>assets/img/profile.jpg" alt="..." class="avatar-img rounded-circle">
								</div>
							</a>
							<ul class="dropdown-menu dropdown-user animated fadeIn">
								<div class="dropdown-user-scroll scrollbar-outer">
									<li>
										<div class="user-box">
											<div class="avatar-lg"><img src="<?php echo PATH_HOME ?>assets/img/profile.jpg" alt="image profile" class="avatar-img rounded"></div>
											<div class="u-text">
												<h4><?php echo $USUARIO ?></h4>
												<p class="text-muted"><?php echo $TipoUsuario.'<br>'.AppName ?></p>
											</div>
										</div>
									</li>
									<li>
										<div class="dropdown-divider"></div>
										<a class="dropdown-item" href="#" id='LogOut'>Cerrar sesión</a>
									</li>
								</div>
							</ul>
						</li>
					</ul>
				</div>
			</nav>
</div>
<div id='logout'></div>
<script>
$(document).ready(function(){    	
    var tiempo = new Date();
    //fecha
    var mes =(tiempo.getMonth()+1);
        if(mes<10) mes = '0'+mes;
    var dia =tiempo.getDate();
        if(dia<10) dia='0'+dia;
    var ano = tiempo.getFullYear();
    var fecha = ano+'-'+mes+'-'+dia;

    $('#txtFecha').val(fecha);
	setInterval('Horas()',1000);
});	
//hora
function Horas(){
	var tiempo = new Date();
	
    let hh = tiempo.getHours();
        if(hh<10) hh = '0'+hh;
    let mm = tiempo.getMinutes();
        if(mm<10) mm = '0'+mm;
    let ss = tiempo.getSeconds();
        if(ss<10) ss = '0'+ss;
    let hora = hh+':'+mm+':'+ss;	

    $('#txtHora').val(hora);
}
//close
$('#LogOut').click(function(){
	$.post('<?php echo PATH_HOME.'indlogout/'.md5(uniqid()); ?>',{
	'txtFecha': $('#txtFecha').val(),
	'txtHora': $('#txtHora').val(),	 
    'coder': '<?php echo md5(uniqid()); ?>'
  },function(data){
    $('#logout').html(data);
  });
});

$('#rVentas').click(function(){
	let fec = $('#txtFecha').val();
	self.location='<?php echo PATH_HOME.'caja-resumen/';?>'+fec;
});

function vLink(encl){
	let fec = $('#txtFecha').val();
	self.location='<?php echo PATH_HOME;?>'+encl+fec;
}
</script>